SDL_MostSignificantBitIndex32(3)

NAME
SDL_MostSignificantBitIndex32 - Get the index of the most significant (set) bit in a 32-bit number.

HEADER FILE
Defined in SDL3/SDL_bits.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_FORCE_INLINE int SDL_MostSignificantBitIndex32(Uint32 x);

DESCRIPTION
Result is undefined when called with 0. This operation can also be stated as "count leading zeroes" and "log base 2". Note that this is a forced-inline function in a header, and not a public API function available in the SDL library (which is to say, the code is embedded in the calling program and the linker and dynamic loader will not be able to find this function inside SDL itself).

FUNCTION PARAMETERS

x   the 32-bit value to examine

RETURN VALUE
Returns the index of the most significant bit, or -1 if the value is 0.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.0.0.